Installer - Bug #26702

Inconsistent naming of the --upgrade-mongo-storage-engine flag
04/29/2019 11:10 AM - Evgeni Golov

Status: Closed
Priority: Normal
Assignee: Evgeni Golov
Category: foreman-installer script
Target version: 1.23.0
Difficulty: trivial Fixed in Releases: 1.23.0
Triaged: Yes Found in Releases:
Bugzilla link: 1704806 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/349

Description
The flag is called --upgrade-mongo-storage-engine, but the installer sometimes forgets the -engine:

% git grep mongo-storage

katello/hooks/boot/21-mongo_storage_engine.rb: '-—upgrade-mongo-storage-engine',

katello/hooks/pre/30-upgrade.rb: logger.info 'To upgrade to WiredTiger at a later time run fo

reman—-installer with the --upgrade-mongo-storage flag.'

katello/hooks/pre/30-upgrade.rb: f << "# Added by foreman-installer during upgrade, run the
installer with --upgrade-mongo-storage to upgrade to WiredTiger.\n"

katello/hooks/pre/31-mongo_storage_engine.rb: Kafo::Helpers.execute("sed -i -e 's/Added by forema

n-installer during upgrade, run the installer with --upgrade-mongo-storage to upgrade to WiredTige

r./Do not remove'/g #{hiera_file}")

katello/hooks/pre_validations/30-mongo_storage_engine.rb: fail_and_exit 'Concurrent use of —-up
grade and —--upgrade-mongo-storage—engine is not supported. '\
katello/hooks/pre_validations/30-mongo_storage_engine.rb: 'Please run —--upgrade f

irst, then --upgrade-mongo-storage—engine.'

Related issues:
Related to Installer - Bug #27866: MongoDB storage engine upgrade does not pr... Closed

Associated revisions

Revision 60bca4c7 - 04/29/2019 12:44 PM - Evgeni Golov

Fixes #26702 - use ----upgrade-mongo-storage-engine everywhere

History

#1 - 04/29/2019 11:11 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/349 added

#2 - 04/29/2019 12:50 PM - Ewoud Kohl van Wijngaarden
- Category set to foreman-installer script

- Target version set to 1.23.0

- Triaged changed from No to Yes

- Fixed in Releases 1.23.0 added

Should this be cherry picked into 1.22 now that it's still RC?

#3 - 04/29/2019 01:01 PM - Evgeni Golov
- Status changed from Ready For Testing to Closed

Applied in changeset installer 4c71 7 7 4 .
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/60bca4c71e9ed6d5db7bdd6d8c63d7a9e045de5a

#4 - 04/30/2019 02:37 PM - Evgeni Golov
- Bugzilla link set to 1704806

#5 - 09/17/2019 09:19 AM - Evgeni Golov

- Related to Bug #27866: MongoDB storage engine upgrade does not properly update the hiera comment in all cases added
